<?php
/*
Plugin Name: Hide Admin Bar
Description: A simple plugin that hides the admin bar on the frontend for all users and removes all references from the source code.
Version: 1.1
Author: EasyToolsWP
*/

function hide_admin_bar_and_remove_references() {
    if (!is_admin()) {
        // Skjul admin-baren
        show_admin_bar(false);

        // Fjern relaterede styles og scripts
        remove_action('wp_head', '_admin_bar_bump_cb');
        remove_action('wp_head', 'wp_admin_bar_header');
        remove_action('wp_footer', 'wp_admin_bar_render', 1000);

        // Fjern admin-bar CSS-stil og JS
        wp_deregister_style('admin-bar');
        wp_deregister_script('admin-bar');
    }
}
add_action('after_setup_theme', 'hide_admin_bar_and_remove_references');

// Fjern admin-bar <style> tags fra wp_head
function remove_admin_bar_style() {
    remove_action('wp_head', 'wp_admin_bar_style');
    remove_action('wp_head', 'wp_admin_bar_render');
}
add_action('wp', 'remove_admin_bar_style', 99);
